Package: org.grails.cli.profile

## [Java] Interface ProjectContext

-     public interface ProjectContext

  The project context used by a Profile

  Authors:
    Lari Hotari
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.File` | `getBaseDir()` Returns: The base directory of the project
    `` | `public ConfigMap` | `getConfig()` Returns: The codegen config
    `` | `public GrailsConsole` | `getConsole()` Returns: The GrailsConsole instance
    `` | `public java.lang.String` | `navigateConfig(java.lang.String path)` Obtains a value from the codegen configuration
    `<T>` | `public T` | `navigateConfigForType(java.lang.Class<T> requiredType, java.lang.String path)` Obtains a value of the given type from the codegen configuration

- - ### Method Detail

    - #### public java.io.File getBaseDir()

      Returns:
        The base directory of the project

    - #### public ConfigMap getConfig()

      Returns:
        The codegen config

    - #### public GrailsConsole getConsole()

      Returns:
        The GrailsConsole instance

    - #### public java.lang.String navigateConfig(java.lang.String path)

      Obtains a value from the codegen configuration

      Parameters:
        `path` - The path to value
      Returns:
        The value or null if not set

    - #### <T> public T navigateConfigForType(java.lang.Class<T> requiredType, java.lang.String path)

      Obtains a value of the given type from the codegen configuration

      Parameters:
        `requiredType` - The required return type
        `path` - The path to value
      Returns:
        The value or null if not set